##############################################################################
# $Id: toolbar.tcl,v 1.7 1998/09/16 04:27:31 stewart Exp $
#
# toolbar.tcl - widget toolbar
#
# Copyright (C) 1996-1998 Stewart Allen
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

##############################################################################
#

proc vTcl:toolbar_create {} {
    global vTcl

	set vTcl(tpanel) [vTcl:tabpanel .vTcl.toolbar]
	pack [$vTcl(tpanel) getwidget] -expand 1 -fill both
	pack .vTcl.toolbar -side top -fill x
}

proc vTcl:toolbar_add {group type name image cmd_add} {
    global vTcl

	if {![winfo exists .vTcl.toolbar]} {
		vTcl:toolbar_create
	}

	if [$vTcl(tpanel) hastab $group] {
	} else {
		$vTcl(tpanel) addtab $group
	}

	set base [$vTcl(tpanel) gettab $group]
    set f [vTcl:new_widget_name tb $base]
    button $f -bd 1 -image $image -comm "vTcl:new_widget $type \"$cmd_add\""

    vTcl:set_balloon $f $name
	pack $f -side left

    lappend vTcl(tool,list) $f
}

proc vTcl:toolbar_add_panel {group} {
    global vTcl

	$vTcl(tpanel) addtab $group
	return [$vTcl(tpanel) gettab $group]
}

proc vTcl:toolbar_get_panel {group} {
    global vTcl

	return [$vTcl(tpanel) gettab $group]
}

